Jump to content

All Activity

This stream auto-updates     

  1. Past hour
  2. steven-g

    Perpendicular and symmetrical line

    Certainly not raging, it would help if you tell us what program you are actually using, all versions of Autocad inc Autocad LT can use macro's, if you are using something other than Autocad (this is the Autocad forum you are posting in) then how do we know which commands ARE available to you? Please help us so we can help you. The file you originally posted was certainly last saved by Autocad and I received no notificartion that it was not a genuine Autocad dwg which normally happens when other programs have been used to create a dwg.
  3. Today
  4. BIGAL

    CAD to EXCEL

    This question is posted at another forum and was there not an answer provided ? I think Autodesk/forum
  5. Have a look on Lee-mac.com for dynamic block routines for updating from a lisp. Just insert as per other post. Your welcome to use Multi getvals.lsp its a library routine for multiple input via a dcl. You can have from 1 to say around 15 entries. Multi GETVALS.lsp
  6. eldon

    Perpendicular and symmetrical line

    We are not raging, we are trying to show you alternatives. Have you tried to use the command Stretch? However, you have happened upon the command Scale, which appears to be most efficient for your usage.
  7. Hello, Product: AutoCad 2020.1 Windows: 64bit Recently, a strange text issue has been cropping up randomly. We use Excel data table inside Autocad drawings. On the Excel where a - (dash) is typed it sometimes comes up as a box in Autocad when data links are updated. Formatting for the page is globally set the same. In Excel: In Autocad: On copying the 'box' and pasting it into a multiline text box the contents on properties is rather messed up. Anyone know why this is happening? Better yet, anyone know how to fix it? Thankyou.
  8. Emmanuel Delay

    Rotation of block Through Excel

    That's weird. My code works for your drawings and csv on my pc.
  9. Tharwat

    Rotation of block Through Excel

    Try this routine. (defun c:test (/ csv opn rtn str bkn) (and (setq csv (getfiled "Select csv file" (getvar 'DWGPREFIX) "csv" 16)) (setq opn (open csv "r")) (while (setq rtn (read-line opn)) (setq str (_peelstring rtn ";")) (and (tblsearch "BLOCK" (setq bkn (nth 3 str))) (entmake (list '(0 . "INSERT") (cons 2 bkn) (cons 8 (car str)) (cons 10 (list (distof (cadr str)) (distof (caddr str)) 0.0) ) (cons 50 (distof (nth 4 str))) ) ) ) ) (close opn) ) (princ) ) (defun _peelstring (string del / str pos lst) ;; Tharwat - date: 07.Oct.2015 ;; (while (setq pos (vl-string-search del string 0)) (setq str (substr string 1 pos) string (substr string (+ pos (1+ (strlen del)))) ) (and str (/= str "") (setq lst (cons str lst))) ) (and string (/= string "") (setq lst (cons string lst))) (reverse lst) )
  10. pmadhwal7

    Rotation of block Through Excel

    any solution sir?
  11. RetroCAD

    AutoCAD v2.5 video

    A new episode of RetroCAD is up. This time it’s the feature-packed version 2.5 of AutoCAD with new commands such as Rotate, Mirror, Stretch, and Scale!
  12. Yup. I have the 5.25” version and it runs pretty darn well.
  13. RetroCAD

    Nth Engine

    Greetings all - I am on the hunt for an Nth Engine graphics card. This is a video that provided hardware zooming for AutoCAD 2.5/2.62/9. The model I had connected to the monitor via 5 BNC connectors. If you see or know of one, please let me know!
  14. I remember that, it came as a stack of about (10) 3.5in diskettes.
  15. Yesterday
  16. Great! If you end up getting it 3D printed, come back and post some photos in the Showcase section. And let us know what printer you use.
  17. jonathann3891

    Add "Insert Dynamic Block" to Existing Lisp

    There are multiple ways to accomplish this. (defun c:somefunc (/ ds) (setq ds (getvar 'dimscale)) (command "insert" "block_name" "_scale" ds "_rotate" 0 pause) (princ) )
  18. hanhphuc

    Joining co-linear multilines together

    hi in your sub divml snippet ;;; (setq mls (mapcar '(lambda (x y / mvertices) ;;; (setq mvertices (vlax-make-safearray vlax-vbDouble (cons 0 (1- (+ (length x) (length y)))))) ;;; (vlax-safearray-fill mvertices (append x y)) ;;; (vla-AddMline msp mvertices)) ;;; starts ends)) with this (setq lst (apply 'append divisions) mvertices (vlax-make-safearray vlax-vbDouble (cons 0 (1- (length lst)))) ) (vlax-safearray-fill mvertices lst) (setq mls (vla-AddMline msp mvertices)) FWIW while loop can be shorten with 1.ssget filter 2.initget (defun c:divml ( / *error* acadobj mlines mliter no_vertices len threshold) ;; <... snippet ...> ;; .... (vla-StartUndoMark adoc) (and (setq mlines (ssget ":L" '((0 . "MLINE") (72 . 2)))) (not (initget 7)) (setq len (getdist "\nSpecify interval length: ")) (progn (initget 5) (setq threshold (getdist "\nSpecify threshold at end segment or <0>: "))) (divml mlines len threshold)) (vla-EndUndoMark adoc) (princ) )
  19. ReMark

    Perpendicular and symmetrical line

    What happened to answering my questions? What software are you actually using? When was it released? Is it an actual Autodesk related program?
  20. itacad

    Perpendicular and symmetrical line

    ok, I'll read it, thanks
  21. ReMark

    Perpendicular and symmetrical line

    In a previous post of yours you state that you cannot use a macro or lisp. What is the exact name of the program you are using and when was it released? A macro defines the action that should be performed when a user interface element is used. An example of a simple macro would be: ^C^C_.circle \1 This macro, when invoked, would draw a circle with the radius of 1. Macros can be written using an ASCII text editor like Windows Notepad for instance. Another example would be: ^C^C_erase single. This macro terminates the current command and invokes the Erase command in single selection mode. For further information see this article by Autodesk entitled "About Command Macro". https://knowledge.autodesk.com/support/autocad-lt/learn-explore/caas/CloudHelp/cloudhelp/2019/ENU/AutoCAD-LT/files/GUID-D991386C-FBAA-4094-9FCB-AADD98ACD3EF-htm.html
  22. itacad

    Perpendicular and symmetrical line

    I don't know exactly the meaning but I use an alternative Cad based on Autocad OEM
  23. thickening with a negative value worked, thanks a lot, guess there's no need to extrude anymore.
  24. steven-g

    Perpendicular and symmetrical line

    You can use macro's in every version of CAD. What program are you using?
  25. itacad

    Perpendicular and symmetrical line

    Hi eldon, at this point I use the scale command... Hi steven-g, with my version of cad I can't use lisp e macro... however if there is no direct command or snap it is useless to rage, I thought there was ... thank you all
  26. Same here, at least for production, and we didn't jump on R14 til probably mid '98 once R13c4a proved to be stable. We fooled around with R13 on Windows, but it was soooooo slow, it wasn't an option for real work.
  27. If you want Thicken to thicken towards the inside, use a negative value. I didn't have any issues with the sides extruding. Can you post a screenshot so I can see what parts are doing this?
  1. Load more activity
  • Newsletter

    Want to keep up to date with all our latest news and information?
    Sign Up
×
×
  • Create New...